SystemOrganization addCategory: #'Seaside-Tests-Tools-Web'!

WAContextTest subclass: #WADispatcherComponentTest
	instanceVariableNames: 'configApplication rootHandler childHandler'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Tools-Web'!

!WADispatcherComponentTest methodsFor: 'private' stamp: 'lr 1/21/2009 15:11'!
createHandlers
	^super createHandlers, (Array
		with: configApplication
		with: WASession new)! !

!WADispatcherComponentTest methodsFor: 'running' stamp: 'jf 3/4/2009 15:32'!
setUp
	| normalApplication |
	super setUp.
	rootHandler := WADispatcher named: 'seaside'.
	childHandler := rootHandler register: (WADispatcher named: 'child').
	configApplication := WAApplication 
		register: 'config'
		in: rootHandler.
	configApplication configuration addParent: WARenderLoopConfiguration instance.
	configApplication 
		preferenceAt: #rootClass
		put: WAConfigurationBrowser.
	normalApplication := WAApplication 
		register: 'counter'
		in: childHandler.
	normalApplication configuration addParent: WARenderLoopConfiguration instance.
	normalApplication 
		preferenceAt: #rootClass
		put: WAConfigurationBrowser! !

!WADispatcherComponentTest methodsFor: 'testing' stamp: 'jf 3/4/2009 21:43'!
testNestedDispatcher
	configComponent := WAConfigurationBrowser on: rootHandler.
	self requestContextWithUrl: '/seaside/config/child'.
	configComponent initialRequest: self requestContext request.
	self assert: configComponent dispatcher == childHandler! !

!WAPackage class methodsFor: '*seaside-tests-tools-web' stamp: 'jf 3/14/2009 11:13'!
seasideTestsToolsWeb
	^ self new
		name: 'Seaside-Tests-Tools-Web';
		description: 'Unit tests for the package Seaside-Tools-Web';
		addDependency: 'Seaside-Tools-Web';
		addDependency: 'Seaside-Tests-Environment';
		yourself! !

TestCase subclass: #WACloneHandlerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Tools-Web'!

!WACloneHandlerTest methodsFor: 'testing' stamp: 'jf 10/27/2008 14:35'!
testCloneApplication
	| app handler key clone |
	app := (WADispatcher named: 'root') register: (WAApplication named: 'app').
	handler := WARequestHandler new.
	key := app register: handler.
	
	clone := app cloneHandler.
	
	self assert: key = (app keyFor: handler).
	self should: [ clone keyFor: handler ] raise: Error.! !
